Qwt User's Guide: QwtLegendLabel Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
QwtLegendLabel Class Reference

A widget representing something on a QwtLegend. More...

`#include <qwt_legend_label.h>`

Inheritance diagram for QwtLegendLabel:

## Public Slots
void | setChecked (bool on)
Public Slots inherited from QwtTextLabel
void | setText (const QString &, QwtText::TextFormat textFormat=QwtText::AutoText)
void | clear ()
| Clear the text and all QwtText attributes.

## Signals
void | clicked ()
| Signal, when the legend item has been clicked.
void | pressed ()
| Signal, when the legend item has been pressed.
void | released ()
| Signal, when the legend item has been released.
void | checked (bool)
| Signal, when the legend item has been toggled.

## Public Member Functions
| QwtLegendLabel (QWidget *parent=0)
virtual | ~QwtLegendLabel ()
| Destructor.
void | setData (const QwtLegendData &)
const QwtLegendData & | data () const
void | setItemMode (QwtLegendData::Mode)
QwtLegendData::Mode | itemMode () const
void | setSpacing (int spacing)
| Change the spacing between icon and text.
int | spacing () const
virtual void | setText (const QwtText &) override
void | setIcon (const QPixmap &)
QPixmap | icon () const
virtual QSize | sizeHint () const override
| Return a size hint.
bool | isChecked () const
| Return true, if the item is checked.
Public Member Functions inherited from QwtTextLabel
| QwtTextLabel (QWidget *parent=NULL)
| QwtTextLabel (const QwtText &, QWidget *parent=NULL)
virtual | ~QwtTextLabel ()
| Destructor.
void | setPlainText (const QString &)
QString | plainText () const
const QwtText & | text () const
| Return the text.
int | indent () const
| Return label's text indent in pixels.
void | setIndent (int)
int | margin () const
| Return label's text margin in pixels.
void | setMargin (int)
virtual QSize | minimumSizeHint () const override
| Return a minimum size hint.
virtual int | heightForWidth (int) const override
QRect | textRect () const
virtual void | drawText (QPainter *, const QRectF &)
| Redraw the text.

## Protected Member Functions
void | setDown (bool)
| Set the item being down.
bool | isDown () const
| Return true, if the item is down.
virtual void | paintEvent (QPaintEvent *) override
| Paint event.
virtual void | mousePressEvent (QMouseEvent *) override
| Handle mouse press events.
virtual void | mouseReleaseEvent (QMouseEvent *) override
| Handle mouse release events.
virtual void | keyPressEvent (QKeyEvent *) override
| Handle key press events.
virtual void | keyReleaseEvent (QKeyEvent *) override
| Handle key release events.
Protected Member Functions inherited from QwtTextLabel
virtual void | drawContents (QPainter *)
| Redraw the text and focus indicator.

## Detailed Description

A widget representing something on a QwtLegend.

Definition at line 22 of file qwt_legend_label.h.

## Constructor & Destructor Documentation

## ◆ QwtLegendLabel()

QwtLegendLabel::QwtLegendLabel | ( | QWidget * | parent = 0 | ) |
| explicit

Parameters

  parent | Parent widget

Definition at line 92 of file qwt_legend_label.cpp.

## ◆ ~QwtLegendLabel()

QwtLegendLabel::~QwtLegendLabel | ( |  | ) |
| virtual

Destructor.

Definition at line 101 of file qwt_legend_label.cpp.

## Member Function Documentation

## ◆ data()

const QwtLegendData & QwtLegendLabel::data | ( |  | ) | const

Returns
  Attributes of the label

See also
  setData(), QwtPlotItem::legendData()

Definition at line 84 of file qwt_legend_label.cpp.

## ◆ icon()

QPixmap QwtLegendLabel::icon | ( |  | ) | const

Returns
  Pixmap representing a plot item

See also
  setIcon()

Definition at line 180 of file qwt_legend_label.cpp.

## ◆ isChecked()

bool QwtLegendLabel::isChecked | ( |  | ) | const

Return true, if the item is checked.

Definition at line 235 of file qwt_legend_label.cpp.

## ◆ isDown()

bool QwtLegendLabel::isDown | ( |  | ) | const
| protected

Return true, if the item is down.

Definition at line 265 of file qwt_legend_label.cpp.

## ◆ itemMode()

QwtLegendData::Mode QwtLegendLabel::itemMode | ( |  | ) | const

Returns
  Item mode

See also
  setItemMode()

Definition at line 150 of file qwt_legend_label.cpp.

## ◆ keyPressEvent()

void QwtLegendLabel::keyPressEvent | ( | QKeyEvent * | e | ) |
| overrideprotectedvirtual

Handle key press events.

Definition at line 374 of file qwt_legend_label.cpp.

## ◆ keyReleaseEvent()

void QwtLegendLabel::keyReleaseEvent | ( | QKeyEvent * | e | ) |
| overrideprotectedvirtual

Handle key release events.

Definition at line 400 of file qwt_legend_label.cpp.

## ◆ mousePressEvent()

void QwtLegendLabel::mousePressEvent | ( | QMouseEvent * | e | ) |
| overrideprotectedvirtual

Handle mouse press events.

Definition at line 329 of file qwt_legend_label.cpp.

## ◆ mouseReleaseEvent()

void QwtLegendLabel::mouseReleaseEvent | ( | QMouseEvent * | e | ) |
| overrideprotectedvirtual

Handle mouse release events.

Definition at line 352 of file qwt_legend_label.cpp.

## ◆ paintEvent()

void QwtLegendLabel::paintEvent | ( | QPaintEvent * | e | ) |
| overrideprotectedvirtual

Paint event.

Reimplemented from QwtTextLabel.

Definition at line 286 of file qwt_legend_label.cpp.

## ◆ setChecked

void QwtLegendLabel::setChecked | ( | bool | on | ) |
| slot

Check/Uncheck a the item

Parameters

  on | check/uncheck

See also
  setItemMode()

Definition at line 221 of file qwt_legend_label.cpp.

## ◆ setData()

void QwtLegendLabel::setData | ( | const QwtLegendData & | legendData | ) |

Set the attributes of the legend label

Parameters

  legendData | Attributes of the label

See also
  data()

Definition at line 62 of file qwt_legend_label.cpp.

## ◆ setDown()

void QwtLegendLabel::setDown | ( | bool | down | ) |
| protected

Set the item being down.

Definition at line 241 of file qwt_legend_label.cpp.

## ◆ setIcon()

void QwtLegendLabel::setIcon | ( | const QPixmap & | icon | ) |

Assign the icon

Parameters

  icon | Pixmap representing a plot item

See also
  icon(), QwtPlotItem::legendIcon()

Definition at line 162 of file qwt_legend_label.cpp.

## ◆ setItemMode()

void QwtLegendLabel::setItemMode | ( | QwtLegendData::Mode | mode | ) |

Set the item mode The default is QwtLegendData::ReadOnly

Parameters

  mode | Item mode

See also
  itemMode()

Definition at line 131 of file qwt_legend_label.cpp.

## ◆ setSpacing()

void QwtLegendLabel::setSpacing | ( | int | spacing | ) |

Change the spacing between icon and text.

Parameters

  spacing | Spacing

See also
  spacing(), QwtTextLabel::margin()

Definition at line 191 of file qwt_legend_label.cpp.

## ◆ setText()

void QwtLegendLabel::setText | ( | const QwtText & | text | ) |
| overridevirtual

Set the text to the legend item

Parameters

  text | Text label

See also
  QwtTextLabel::text()

Reimplemented from QwtTextLabel.

Definition at line 113 of file qwt_legend_label.cpp.

## ◆ sizeHint()

QSize QwtLegendLabel::sizeHint | ( |  | ) | const
| overridevirtual

Return a size hint.

Reimplemented from QwtTextLabel.

Definition at line 271 of file qwt_legend_label.cpp.

## ◆ spacing()

int QwtLegendLabel::spacing | ( |  | ) | const

Returns
  Spacing between icon and text

See also
  setSpacing(), QwtTextLabel::margin()

Definition at line 210 of file qwt_legend_label.cpp.